#pragma once

#include "stdafx.h"

class CDetect
{
protected:
	IplImage *m_Input;
	IplImage *m_Template;
	CvPoint  *m_PatchPos;
	double   m_RotateStep;
	int		 m_NumPatch;
	int		 m_PatchSize;
	bool	m_NoUse;

protected:
	bool SetTemplate(const char *filename);
	bool Matching(CvPoint *pos, double *angle);

public:
	CDetect(void);
	~CDetect(void);
	bool SetImage(const char *filename);
	virtual bool Init() = NULL;
	bool CalcPatchColor(CvMat **rgb);
	bool DrawROI(IplImage *img);
	IplImage* GenPatchedImage();
};
